Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - o -

- OAUTOSYNC : kyotocabinet::BasicDB
- OAUTOTRAN : kyotocabinet::BasicDB
- occupy() : kyotocabinet::BasicDB , kyotocabinet::PolyDB , kyotocabinet::ProtoDB< STRMAP, DBTYPE > , kyotocabinet::DirDB , kyotocabinet::StashDB , kyotocabinet::TextDB , kyotocabinet::CacheDB , kyotocabinet::HashDB
- OCCUPY : kyotocabinet::BasicDB::MetaTrigger
- occupy() : kyotocabinet::PlantDB< BASEDB, DBTYPE >
- OCREATE : kyotocabinet::BasicDB , kyotocabinet::File
- ONOLOCK : kyotocabinet::File , kyotocabinet::BasicDB
- ONOREPAIR : kyotocabinet::BasicDB
- opaque() : kyotocabinet::CacheDB , kyotocabinet::DirDB , kyotocabinet::HashDB , kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::ProtoDB< STRMAP, DBTYPE > , kyotocabinet::StashDB
- open() : kyotocabinet::PolyDB , kyotocabinet::ProtoDB< STRMAP, DBTYPE > , kyotocabinet::StashDB , kyotocabinet::TextDB
- OPEN : kyotocabinet::BasicDB::MetaTrigger
- open() : kyotocabinet::CacheDB , kyotocabinet::BasicDB , kyotocabinet::IndexDB , kyotocabinet::DirDB , kyotocabinet::File , kyotocabinet::DirStream , kyotocabinet::HashDB , kyotocabinet::PlantDB< BASEDB, DBTYPE >
- OpenMode : kyotocabinet::BasicDB , kyotocabinet::File
- operator int32_t() : kyotocabinet::BasicDB::Error
- operator int64_t() : kyotocabinet::AtomicInt64
- operator TYPE() : kyotocabinet::TSD< TYPE >
- operator!=() : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator
- operator*() : kyotocabinet::TSD< TYPE >
- operator++() : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator
- operator+=() : kyotocabinet::AtomicInt64
- operator--() : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator
- operator-=() : kyotocabinet::AtomicInt64
- operator->() : kyotocabinet::TSD< TYPE >
- operator=() : kyotocabinet::AtomicInt64 , kyotocabinet::BasicDB::Error , kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator , kyotocabinet::AtomicInt64
- operator==() : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator
- Option : kyotocabinet::DirDB , kyotocabinet::MapReduce , kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::Regex , kyotocabinet::HashDB , kyotocabinet::CacheDB
- opts() : kyotocabinet::DirDB , kyotocabinet::CacheDB , kyotocabinet::HashDB
- OREADER : kyotocabinet::BasicDB , kyotocabinet::File
- OTRUNCATE : kyotocabinet::BasicDB , kyotocabinet::File
- OTRYLOCK : kyotocabinet::File , kyotocabinet::BasicDB
- OWRITER : kyotocabinet::BasicDB , kyotocabinet::File